Subject: Re: [Ips] iSNS transaction ID uniqueness

From: Joe Souza <[email-masked]>
Date: Thu, 19 Jul 2007 11:06:41 -0700 (PDT)

I believe the intent is such that the Transaction ID should be unique per registered client.  A registered client, from the iSNS server point of view, is a Node, not a Portal (i.e. see Source Attribute description), so the Transaction ID should be unique across all Portals associated with a given Node.

Thanks,
-Joe

----- Original Message ----
From: Victor Li <[email-masked]>
To: Paul Hughes <[email-masked]>
Cc: IP Storage Mailing List (E-mail) <[email-masked]>
Sent: Thursday, July 19, 2007 5:56:04 AM
Subject: Re: [Ips] iSNS transaction ID uniqueness

follow up with previous message:

For your case, I think either way will be correct, as long as the 
TRANSACTION ID is guaranteed to be unique for each concurrently 
outstanding request message by your iSNS client.

Paul Hughes wrote:
>
> Section 5.1.5 of RFC 4171 (iSNS) states:  The TRANSACTION ID MUST be 
> set to a unique value for each concurrently outstanding request message.
>
> For an iSCSI target registering with or querying an iSNS server, does 
> the Transaction ID have to be unique for every message sent by any 
> portal of the target (any message from the network entity) or does the 
> Transaction ID only need to be unique for messages sent by a specific 
> portal?
>
> I'm mostly just curious what the intent is.  I can easily create 
> entity-unique transaction IDs for cases where more than one target 
> portal could be sending concurrent request messages to the server.
>
> Thanks,
> Paul
>
> ------------------------------------------------------------------------
>
> _______________________________________________
> Ips mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ips
>   

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips